/*
 *@description:导入
 *@author: hudw
 *@date: 2022-04-18 11:49:52
*/
<template>
  <import-excel
    ref="exc"
    type="primary"
    :icon="null"
    :beforeUpload="beforeUpload"
    label="导入文件"
    :remoteUrl="importUrl"
    :downloadFileName="fileName"
    :tmpUrl="tmpUrl"
    v-on="$listeners"
    >导入</import-excel
  >
</template>

<script>
import importExcel from './import-excel/index.import.vue';
// wrapperCol: {  span: 18 },
//     labelCol: {  span: 6 },


export default {
  name: 'import-button',
  props: {
    fileName: '',
    radio: false,
    importUrl: '',
    tmpUrl: '',
  },
  components: { importExcel },
  data() {
    return {
    };
  },

  computed: {},
  methods: {


    beforeUpload(data) {
      // this.$refs.exc.loading=true

      return data;
    },
    handleMenuClick() {},
    modelDown() {
      if (!this.tmpUrl) {
        alert('暂无模板下载');
      }
    },
  },
};
</script>
